#global _internal_version      024e5fd

%global dbus_glib_version      0.74
%global redhat_menus_version   5.0.1
%global libgnomekbd_version    2.91.1
%global cinnamon_desktop_version 3.0.0

Summary: Cinnamon Screensaver
Name:    cinnamon-screensaver
Version: 3.0.1
Release: 1%{?dist}
License: GPLv2+ and LGPLv2+
URL:     http://cinnamon.linuxmint.com

#Because linuxmint upstream refuses to host pristine upstream tarballs
#wget https://github.com/linuxmint/cinnamon-screensaver/archive/%%{version}.tar.gz -O cinnamon-screensaver-%%{version}.tar.gz
# for git
# wget https://github.com/linuxmint/cinnamon-screensaver/tarball/%%{_internal_version} -O cinnamon-screensaver-%%{version}.git%%{_internal_version}.tar.gz
#Source0: http://leigh123linux.fedorapeople.org/pub/cinnamon-screensaver/source/cinnamon-screensaver-%%{version}.git%%{_internal_version}.tar.gz
Source0: http://leigh123linux.fedorapeople.org/pub/cinnamon-screensaver/source/%{name}-%{version}.tar.gz

Patch0:  cinnamon-screensaver-2.20.0-selinux-permit.patch

BuildRequires: pkgconfig(dbus-glib-1) >= %{dbus_glib_version}
BuildRequires: pkgconfig(cinnamon-desktop) >= %{cinnamon_desktop_version}
BuildRequires: pkgconfig(nss)
BuildRequires: pkgconfig(xscrnsaver)
BuildRequires: pkgconfig(xmu)
BuildRequires: pkgconfig(libgnomekbd) >= %{libgnomekbd_version}
BuildRequires: pkgconfig(libsystemd-login)
# this is here because the configure tests look for protocol headers
BuildRequires: pkgconfig(libxklavier)
BuildRequires: pkgconfig(xxf86misc)
BuildRequires: pkgconfig(xxf86vm)
BuildRequires: pkgconfig(xtst)
BuildRequires: desktop-file-utils
BuildRequires: gnome-common
BuildRequires: intltool
BuildRequires: pam-devel
%if 0%{?rhel} == 7
BuildRequires: pkgconfig(webkitgtk-3.0)
%else
BuildRequires: pkgconfig(webkit2gtk-4.0)
%endif

# add hard cinnamon-desktop required version due logind schema
Requires: cinnamon-desktop >= %{cinnamon_desktop_version}
Requires: cinnamon-translations >= 2.6.0
Requires: redhat-menus >= %{redhat_menus_version}
# since we use it, and pam spams the log if a module is missing
Requires: gnome-keyring-pam
Conflicts: xscreensaver < 1:5.00-19

%description
cinnamon-screensaver is a screen saver and locker.

%if 0%{?fedora}
%package unsupported
Summary: Additional unsupported screensavers
BuildArch: noarch
Requires: %{name} = %{version}-%{release}
%if 0%{?rhel} == 7
Requires: webkitgtk3
%else
Requires: webkitgtk4
%endif
Requires: xscreensaver-extras
Requires: xscreensaver-gl-extras

%description unsupported
This package provides additional unsupported screensavers.
They are unsupported in fedora due to issues with suspend,
you may need to use the Esc key to get the unlock screen.
%endif

%prep
%setup -q
%patch0 -p1
echo "ACLOCAL_AMFLAGS = -I m4" >> Makefile.am
echo "AC_CONFIG_MACRO_DIR([m4])" >> configure.ac
sed -i -e 's@Ubuntu@Cantarell@g' src/gs-lock-plug.c src/gs-window-x11.c
NOCONFIGURE=1 ./autogen.sh

%build
%configure --with-mit-ext=no
make V=1 %{?_smp_mflags}

%install
%{make_install}

desktop-file-install                                     \
  --delete-original                                      \
  --remove-only-show-in=Xfce                             \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications          \
  $RPM_BUILD_ROOT%{_datadir}/applications/cinnamon-screensaver.desktop

%if 0%{?rhel}
rm -rf $RPM_BUILD_ROOT%{_datadir}/cinnamon-screensaver/
%endif

%files
%doc AUTHORS NEWS README
%license COPYING COPYING.LIB
%{_bindir}/cinnamon-screensaver*
%{_datadir}/applications/cinnamon-screensaver.desktop
%{_datadir}/dbus-1/services/org.cinnamon.ScreenSaver.service
%{_libexecdir}/cinnamon-screensaver-dialog
%config %{_sysconfdir}/pam.d/cinnamon-screensaver
%{_mandir}/man1/cinnamon-screensaver*.1.*

%if 0%{?fedora}
%files unsupported
%{_datadir}/cinnamon-screensaver/
%endif

%changelog
* Mon May 30 2016 Leigh Scott <leigh123linux@googlemail.com> - 3.0.1-1
- update to 3.0.1 release

* Sat Apr 23 2016 Leigh Scott <leigh123linux@googlemail.com> - 3.0.0-1
- update to 3.0.0 release

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Nov 27 2015 Leigh Scott <leigh123linux@googlemail.com> - 2.8.0-4
- remove unsupported sub-package for epel as there is no xscreensaver

* Fri Nov 27 2015 Leigh Scott <leigh123linux@googlemail.com> - 2.8.0-3
- fix epel conditional

* Mon Nov 09 2015 Leigh Scott <leigh123linux@googlemail.com> - 2.8.0-2
- rebuilt

* Fri Oct 16 2015 Leigh Scott <leigh123linux@googlemail.com> - 2.8.0-1
- update to 2.8.0 release

* Mon Aug 24 2015 Leigh Scott <leigh123linux@googlemail.com> - 2.6.4-4
- Try upstream commits to fix bz 1234998

* Sat Aug 01 2015 Leigh Scott <leigh123linux@googlemail.com> - 2.6.4-3
- revert upstream commit as it kills the real process (bz 1234998)

* Mon Jun 29 2015 Leigh Scott <leigh123linux@googlemail.com> - 2.6.4-2
- add missing requires to unsupported sub-package

* Fri Jun 26 2015 Leigh Scott <leigh123linux@googlemail.com> - 2.6.4-1
- update to 2.6.4 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Leigh Scott <leigh123linux@googlemail.com> - 2.6.3-2
- make sub-package noarch

* Wed Jun 03 2015 Leigh Scott <leigh123linux@googlemail.com> - 2.6.3-1
- update to 2.6.3 release
- split webkit and xscreensaver into an unsupported sub-package

* Mon May 25 2015 Leigh Scott <leigh123linux@googlemail.com> - 2.6.1-1
- update to 2.6.1 release

* Wed May 20 2015 Leigh Scott <leigh123linux@googlemail.com> - 2.6.0-2
- add conditional for f20 webkit br

* Wed May 20 2015 Leigh Scott <leigh123linux@googlemail.com> - 2.6.0-1
- update to 2.6.0 release

* Fri May 15 2015 Leigh Scott <leigh123linux@googlemail.com> - 2.5.0-0.3.git024e5fd
- update to git snapshot

* Wed May 06 2015 Leigh Scott <leigh123linux@googlemail.com> - 2.5.0-0.2.gitc4820fd
- update to git snapshot

* Tue May 05 2015 Leigh Scott <leigh123linux@googlemail.com> - 2.5.0-0.1.git6ea738d
- update to git snapshot

* Tue Mar 31 2015 Leigh Scott <leigh123linux@googlemail.com> - 2.4.2-1
- update to 2.4.2

* Sun Mar 29 2015 Leigh Scott <leigh123linux@googlemail.com> - 2.4.1-3
- fix bz 1206907

* Wed Mar 18 2015 Leigh Scott <leigh123linux@googlemail.com> - 2.4.1-2
- drop patch and use the upstream fix instead

* Sat Feb 21 2015 Leigh Scott <leigh123linux@googlemail.com> - 2.4.1-1
- update to 2.4.1

* Fri Oct 31 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.4.0-1
- update to 2.4.0

* Fri Oct 03 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.4.0-0.3.git8de7ff0
- readd revert 58a522e commit

* Wed Oct 01 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.4.0-0.2.git8de7ff0
- update to latest git

* Tue Sep 30 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.4.0-0.1.gitaf298bc
- update to latest git

* Mon Aug 25 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.4-5
- apply upstream fix for CVE-2014-1949 (bz 1064695)

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Aug 13 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.4-3
- Fix CVE-2014-1949 (bz 1064695)

* Tue Aug 05 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.4-2
- revert 58a522e commit

* Fri Jun 27 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.4-1
- update to 2.2.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 11 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.3-1
- update to 2.2.3

* Fri May 02 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.1-1
- update to 2.2.1

* Thu Apr 24 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.0-2
- don't clear the window on every draw, just do it on realized

* Sat Apr 12 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.0-1
- update to 2.2.0

* Wed Oct 30 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.3-1
- update to 2.0.3
- add patch to fix suspend locking

* Thu Oct 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.2-1
- update to 2.0.2

* Fri Oct 18 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.1-1
- update to 2.0.1

* Thu Oct 17 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.0-2
- Stop starting in gnome-shell as it pissed off the gnome devs

* Wed Oct 02 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.0-1
- update to 2.0.0

* Mon Sep 30 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.1-1
- 1.9.1

* Sun Sep 15 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.1-0.2.git4f741eb
- update to latest git
- add requires cinnamon-translations

* Sun Aug 25 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.1-0.1.git94ca899
- update to latest git
- Change buildrequires to cinnamon-desktop-devel
- Change requires to cinnamon-desktop

* Thu Aug 22 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-5
- rebuilt

* Sun Jul 28 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-4
- disable console-kit in configure
- add systemd patch

* Mon Jul 22 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-3
- fix prep warnings

* Mon Jul 22 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-2
- fix prep warnings

* Thu Jan 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-1
- Initial build

